Skip to main content

deleteAstCustomRule

Delete a custom AST V2 rule

deleteAstCustomRule(
input: DeleteAstCustomRuleInput!
): DeleteAstCustomRulePayload

Arguments​

deleteAstCustomRule.input ● DeleteAstCustomRuleInput! non-null input​

Parameters for DeleteAstCustomRule

Type​

DeleteAstCustomRulePayload object​

Autogenerated return type of DeleteAstCustomRule.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateDeleteAstCustomRule($input: DeleteAstCustomRuleInput!) {\n deleteAstCustomRule(input: $input) { clientMutationId errors success }\n}","variables":{"input":{"companyId":"<company_id>","ruleId":"example"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute